#include "SystemG.h"

void SystemG::SetColor(int ForgC)
{
	WORD Chromatiko;

	HANDLE hStdOut = GetStdHandle(STD_OUTPUT_HANDLE);
	CONSOLE_SCREEN_BUFFER_INFO csbi;

	if (GetConsoleScreenBufferInfo(hStdOut, &csbi))
	{
		Chromatiko = (csbi.wAttributes & 0xF0) + (ForgC & 0x0F);
		SetConsoleTextAttribute(hStdOut, Chromatiko);
	}
	return;
}

void SystemG::gotoXY(int x, int y)
{
	COORD coord;
	coord.X = x;
	coord.Y = y;
	SetConsoleCursorPosition(GetStdHandle(STD_OUTPUT_HANDLE), coord);
	return;
}

void SystemG::readKey(int& snake, Dir& direct)
{
	switch (_getch()) {

	case 'a':
		direct = Dir::Left;
		snake = 0;
		break;
	case 'd':
		direct = Dir::Right;
		snake = 0;
		break;
	case 'w':
		direct = Dir::Up;
		snake = 0;
		break;
	case 's':
		direct = Dir::Down;
		snake = 0;
		break;
	case 'j':
		direct = Dir::Left;
		snake = 1;
		break;
	case 'l':
		direct = Dir::Right;
		snake = 1;
		break;
	case 'i':
		direct = Dir::Up;
		snake = 1;
		break;
	case 'k':
		direct = Dir::Down;
		snake = 1;
		break;
	}
}

void SystemG::clear()
{
	system("cls");
	return;
}
